! Bibliotheksdatei fr GInfo.h -- (frob 2002)
! Automatisch mit NOWEB erstellt 
! nderungen sollten nur in GInfo.nw vorgenommen werden!
! $Id: GInfo.nw,v 1.1 2002/04/19 22:25:12 frob Exp frob $

System_file;
[ TopicScope; 
    switch(scope_stage) 
    { 
        1: rfalse; 
        2: ScopeWithin(Topics); rtrue; 
        3: "[Dieses Thema berfordert mich.]"; 
    } 
];

Extend 'schau'  replace
    *                                   -> Look
    * 'dich'/'mich' 'um'                -> Look
    * 'herum'/'umher'                   -> Look
    * noun 'an'                         -> Examine
    * noun                              -> Examine
    * 'auf'/'durch' noun                -> Examine
    * 'in'/'aus'/'nach'/'neben' noun    -> Search
    * 'in'/'auf'/'neben' noun 'nach'    -> Search
    * 'in' noun hinein                  -> Search
    * xhinein                           -> Search
    * 'unter'/'hinter' noun             -> LookUnder
    * 'unter'/'hinter' noun 'nach'      -> LookUnder
    * scope=TopicScope 'nach' 'in' legible -> Consult reverse
    * 'nach' scope=TopicScope 'in' legible -> Consult reverse
    * 'in' legible 'ob'/'ueber' scope=TopicScope 'nach' -> Consult
    * 'ueber'/'ob' scope=TopicScope 'in' legible 'nach' -> Consult reverse;

Ifdef KEEP_OLD_TOPIC_SYNTAX;
Extend 'schau' last
    * topic 'nach' 'in' legible         -> Consult reverse
    * 'nach' topic 'in' legible -> Consult reverse
    * 'in' legible 'ob'/'ueber' topic 'nach' -> Consult
    * 'ueber'/'ob' topic 'in' legible 'nach' -> Consult reverse;
Endif;

               
Extend 'forsch' replace
    * 'nach'/'ob'/'ueber'/'von' scope=TopicScope 'in'/'aus' legible -> Consult reverse
    * 'in'/'aus' legible 'nach'/'ob'/'ueber'/'von' scope=TopicScope -> Consult;

Ifdef KEEP_OLD_TOPIC_SYNTAX;
Extend 'forsch' last
    * 'nach'/'ob'/'ueber'/'von' topic 'in'/'aus' legible -> Consult reverse
    * 'in'/'aus' legible 'nach'/'ob'/'ueber'/'von' topic -> Consult;
Endif;


Extend 'konsultier' replace
    * legible 'ueber' scope=TopicScope  -> Consult
    * legible 'bezueglich' scope=TopicScope -> Consult;
Ifdef KEEP_OLD_TOPIC_SYNTAX;
Extend 'konsultier' last
    * legible 'ueber' topic             -> Consult
    * legible 'bezueglich' topic        -> Consult;
Endif;


Extend 'lies'  replace
    * noun                              -> Examine
    * multi 'auf'                       -> Take
    * 'in' noun                         -> Examine
    * 'ueber'/'von' scope=TopicScope 'in' legible -> Consult reverse
    * 'ueber'/'von' scope=TopicScope 'in' legible 'nach' -> Consult reverse
    * scope=TopicScope 'in' legible     -> Consult reverse
    * 'in' legible 'ueber'/'von' scope=TopicScope -> Consult
    * 'in' legible 'ueber'/'von' scope=TopicScope 'nach' -> Consult;

Ifdef KEEP_OLD_TOPIC_SYNTAX;
Extend 'lies' last
    * 'in' legible 'ueber'/'von' topic  -> Consult
    * 'ueber'/'von' topic 'in' legible  -> Consult reverse
    * 'ueber'/'von' topic 'in' legible 'nach' -> Consult reverse
    * topic 'in' legible                -> Consult reverse
    * 'in' legible 'ueber'/'von' topic  -> Consult;
Endif;


   
Extend 'such' replace
    * noun                              -> Search
    * 'in'/'auf'/'ab'/'hinter'/'neben' noun -> Search
    * noun 'ab'                         -> Search
    * 'unter' noun                      -> LookUnder
    * 'in' legible 'nach' scope=TopicScope -> Consult
    * 'nach' scope=TopicScope 'in' legible -> Consult reverse;

Ifdef KEEP_OLD_TOPIC_SYNTAX;
Extend 'such' last
    * 'in' legible 'nach' topic         -> Consult
    * 'nach' topic 'in' legible         -> Consult ;
Endif;


Extend 'schlag' replace
    * creature                          -> Attack
    * noun 'mit' held                   -> Attack
    * noun xdamit                       -> Attack
    * xhinein                           -> Attack
    * noun                              -> Attack
    * 'auf'/'in'/'ueber' noun           -> Attack
    * noun 'auf'                        -> Open
    * noun 'zu'                         -> Close
    * 'in' legible 'ueber' scope=TopicScope 'nach' -> Consult
    * 'in' legible scope=TopicScope 'nach' -> Consult
    * 'mit' held 'gegen'/'nach'/'auf' noun -> Attack reverse
    * held 'gegen' noun                 -> Attack reverse
    * noun 'um'/'ab'/'entzwei'/'kaputt' -> Attack
    * scope=TopicScope 'in'/'nach' legible 'nach' -> Consult reverse
    * scope=TopicScope 'nach' 'in' legible -> Consult reverse
    * xdamit 'gegen' noun               -> Attack reverse;

Ifdef KEEP_OLD_TOPIC_SYNTAX;
Extend 'schlag' last
    * 'in' legible 'ueber' topic 'nach' -> Consult
    * 'in' legible topic 'nach'         -> Consult
    * topic 'in'/'nach' legible 'nach'  -> Consult 
    * topic 'nach' 'in' legible         -> Consult; 
Endif;
Extend only 'hau' replace
    * creature                          -> Attack
    * xhinein                           -> Attack
    * noun 'mit' held                   -> Attack
    * noun xdamit                       -> Attack
    * noun                              -> Attack
    * 'auf'/'in'/'ueber' noun           -> Attack
    * noun 'auf'                        -> Open
    * noun 'zu'                         -> Close
    * 'mit' held 'gegen'/'auf' noun     -> Attack reverse
    * held 'gegen' noun                 -> Attack reverse
    * noun 'um'/'ab'/'entzwei'/'kaputt' -> Attack
    * xdamit 'gegen' noun               -> Attack reverse;

Extend 'antwort' replace
    * creature scope=TopicScope         -> Answer reverse
    * scope=TopicScope 'zu' creature    -> Answer;

Ifdef KEEP_OLD_TOPIC_SYNTAX;
Extend 'antwort' last
    * creature topic                    -> Answer 
    * topic 'zu' creature               -> Answer;
Endif;
   

Extend 'red'  replace
    * creature 'ueber' scope=TopicScope -> Tell
    * 'mit'/'zu' creature 'ueber' scope=TopicScope -> Tell;

Ifdef KEEP_OLD_TOPIC_SYNTAX;
Extend 'red' last
    * creature 'ueber' topic            -> Tell
    * 'mit'/'zu' creature 'ueber' topic -> Tell;
Endif;
   
Extend 'erzaehl' replace
    * creature 'ueber'/'von' scope=TopicScope -> Tell;

Ifdef KEEP_OLD_TOPIC_SYNTAX;
Extend 'erzaehl' last
    * creature 'ueber'/'von' topic      -> Tell;
Endif;


Extend 'sag' replace
    * creature scope=TopicScope         -> Tell
    * creature 'ueber' scope=TopicScope -> Tell;

Ifdef KEEP_OLD_TOPIC_SYNTAX;
Extend 'sag' last
    * creature topic                    -> Tell
    * creature 'ueber' topic            -> Tell;
Endif;
   

Extend 'frag'  replace
    * creature                          -> Ask
    * creature 'ueber' scope=TopicScope -> Ask
    * creature 'nach'/'ueber'/'ob' scope=TopicScope -> Ask;


Ifdef FRAG_NACH_MEANS_ASK;
Extend 'frag' last
    * creature 'nach' noun              -> Ask;
Ifnot;
Extend 'frag' last
    * creature 'nach' noun              -> AskFor;
Endif;

Ifdef KEEP_OLD_TOPIC_SYNTAX;
Extend 'frag' last
    * creature 'ueber' topic            -> Ask
    * creature 'nach'/'ueber'/'ob' topic -> Ask;
Endif;   
